Get the Brand Book
curl --request GET \
--url https://api.1club.ai/v1/platform/brand-book \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.1club.ai/v1/platform/brand-book"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.1club.ai/v1/platform/brand-book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/brand-book",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/brand-book"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.1club.ai/v1/platform/brand-book")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/brand-book")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"primaryColor": "<string>",
"darkPrimaryColor": "<string>",
"accentColor": "<string>",
"headerColor": "<string>",
"darkHeaderColor": "<string>",
"backgroundColor": "<string>",
"textColor": "<string>",
"darkBackgroundColor": "<string>",
"darkTextColor": "<string>",
"logoUrl": "<string>",
"logoDarkUrl": "<string>",
"logoAltText": "<string>",
"iconUrl": "<string>",
"faviconUrl": "<string>",
"fontFamily": "<string>",
"headingFontFamily": "<string>",
"keepBrandColors": true,
"toneOfVoice": "professional",
"guidelines": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Brand Book
Get the Brand Book
How the organization looks and sounds: its branding (colours, logos, fonts) and its guidance (tone of voice, its own writing guidelines, whether it always keeps its brand colours). Read it before writing anything the organization’s members or visitors will see. Requires clubs:read or website:read.
GET
/
v1
/
platform
/
brand-book
Get the Brand Book
curl --request GET \
--url https://api.1club.ai/v1/platform/brand-book \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.1club.ai/v1/platform/brand-book"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.1club.ai/v1/platform/brand-book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/brand-book",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/brand-book"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.1club.ai/v1/platform/brand-book")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/brand-book")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"primaryColor": "<string>",
"darkPrimaryColor": "<string>",
"accentColor": "<string>",
"headerColor": "<string>",
"darkHeaderColor": "<string>",
"backgroundColor": "<string>",
"textColor": "<string>",
"darkBackgroundColor": "<string>",
"darkTextColor": "<string>",
"logoUrl": "<string>",
"logoDarkUrl": "<string>",
"logoAltText": "<string>",
"iconUrl": "<string>",
"faviconUrl": "<string>",
"fontFamily": "<string>",
"headingFontFamily": "<string>",
"keepBrandColors": true,
"toneOfVoice": "professional",
"guidelines": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Authorizations
Response
The Brand Book
Was this page helpful?